package com.gic.haoban.manage.service.pojo.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 选项卡员工隐私使用日志签证官
 *
 * @author xuwenqian
 * @date 2021/12/15 10:50
 */
public class TabStaffPrivacyUseLogVO implements Serializable {

    private static final long serialVersionUID = 7052985210668349045L;

    /**
     * id
     */
    private Long id;

    /**
     * 员工id
     */
    private String staffId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 是否同意隐私协议，1:是；0:否
     */
    private Integer privacyUseFlag;

    /**
     * 手机号
     */
    private String phoneNumber;

    /**
     * 好办版本
     */
    private String welldoneVersion;

    /**
     * 企微版本
     */
    private String weworkVersion;

    /**
     * 用户手机品牌
     */
    private String staffPhoneBrand;

    /**
     * 用户手机型号
     */
    private String staffPhoneModel;

    /**
     * 用户手机版本
     */
    private String staffPhoneVersion;

    /**
     * 登录ip
     */
    private String staffIp;

    /**
     * create_time
     */
    private Date createTime;

    /**
     * update_time
     */
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getPrivacyUseFlag() {
        return privacyUseFlag;
    }

    public void setPrivacyUseFlag(Integer privacyUseFlag) {
        this.privacyUseFlag = privacyUseFlag;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getWelldoneVersion() {
        return welldoneVersion;
    }

    public void setWelldoneVersion(String welldoneVersion) {
        this.welldoneVersion = welldoneVersion;
    }

    public String getWeworkVersion() {
        return weworkVersion;
    }

    public void setWeworkVersion(String weworkVersion) {
        this.weworkVersion = weworkVersion;
    }

    public String getStaffPhoneBrand() {
        return staffPhoneBrand;
    }

    public void setStaffPhoneBrand(String staffPhoneBrand) {
        this.staffPhoneBrand = staffPhoneBrand;
    }

    public String getStaffPhoneModel() {
        return staffPhoneModel;
    }

    public void setStaffPhoneModel(String staffPhoneModel) {
        this.staffPhoneModel = staffPhoneModel;
    }

    public String getStaffPhoneVersion() {
        return staffPhoneVersion;
    }

    public void setStaffPhoneVersion(String staffPhoneVersion) {
        this.staffPhoneVersion = staffPhoneVersion;
    }

    public String getStaffIp() {
        return staffIp;
    }

    public void setStaffIp(String staffIp) {
        this.staffIp = staffIp;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
